Create Encrypted Status List

Create an encrypted Status List as a DID-Linked Resource using cheqd Studio.

Create an encrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/create/encrypted

This endpoint creates an encrypted StatusList2021 or BitstringStatusList credential status list. The StatusList is published as a DID-Linked Resource on ledger. As input, it can can take input parameters needed to create the status list via a form, or a pre-assembled status list in JSON format. Status lists can be created as either encrypted or unencrypted.

Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusPurposeone ofRequired

The purpose of the status list.

  • For StatusList2021: Single value (revocation or suspension)
  • For BitstringStatusList: Can accept multiple values as array of strings

Once this is set, it cannot be changed. A new status list must be created to change the purpose.

Example: {"summary":"Single purpose (StatusList2021)","value":"revocation"}
string · enumOptionalPossible values:
or
Body
didstring · uriRequired

DID of the StatusList2021 or BitstringStatusList publisher.

statusListNamestringRequired

The name of the StatusList2021 or BitstringStatusList DID-Linked Resource to be created.

lengthintegerOptional

The length of the status list to be created. The default and minimum length is 131072 which is 16kb.

Default: 131072
encodingstring · enumOptional

The encoding format of the StatusList2021 or BitstringStatusList (only base64url supported) DiD-Linked Resource to be created.

Default: base64urlPossible values:
statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 or BitstringStatusList DID-Linked Resource.

statusSizeinteger · min: 1Optional

Only for BitstringStatusList: bits per credential, used to support multiple status in same list.

credentialCategorystring · enumOptional

Category of credentials this status list is for.

Possible values:
ttlinteger · min: 1000Optional

Only for BitstringStatusList: Time to Live in Miliseconds (not expiry).

feePaymentAddressstringRequired

The cheqd/Cosmos payment address where payments to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource need to be sent.

Example: cheqd1qs0nhyk868c246defezhz5eymlt0dmajna2csg
feePaymentAmountnumberRequired

Amount in CHEQ tokens to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource.

Default: 20
feePaymentWindownumberRequired

Time window (in minutes) within which the payment to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource is considered valid.

Default: 10
Responses
chevron-right
200

The request was successful.

application/json
createdbooleanOptionalExample: true
post
/credential-status/create/encrypted

Last updated

Was this helpful?